local t = Def.ActorFrame {};

t[#t+1] = Def.ActorFrame {
  InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
    Def.ActorFrame { -- Light purple
	Def.Quad {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
		OnCommand=cmd(diffuse,color("#081523");diffusebottomedge,color("#112C58"));
	};
    };
};

t[#t+1] = LoadActor("_newstars") .. {
	InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-50;blend,'BlendMode_Add';zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
	OnCommand=cmd(texcoordvelocity,-0.01,0;customtexturerect,0,0,SCREEN_WIDTH/780,SCREEN_HEIGHT/480;);
};

-- t[#t+1] = LoadActor("stars") .. {
	-- InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scaletoclipped,SCREEN_WIDTH,SCREEN_HEIGHT);
	-- OnCommand=cmd(diffusealpha,0.6;);
-- };

t[#t+1] = LoadActor("moon") .. {
	OnCommand=cmd(x,SCREEN_RIGHT-39-4;y,SCREEN_TOP+18;);
};

t[#t+1] = LoadActor("cloudb") .. {
	InitCommand=cmd(x,SCREEN_LEFT-300;y,SCREEN_CENTER_Y-160;horizalign,center;diffusealpha,0.4;);
	OnCommand=cmd(playcommand,"Animate");
	AnimateCommand=cmd(x,SCREEN_LEFT-300;y,SCREEN_CENTER_Y-160;linear,50.0;addx,SCREEN_WIDTH+600;sleep,0.3;queuecommand,"Animate";);
};

t[#t+1] = LoadActor("clouda") .. {
	InitCommand=cmd(x,SCREEN_LEFT-250;y,SCREEN_CENTER_Y-60;horizalign,center;diffusealpha,0.6;);
	OnCommand=cmd(playcommand,"Animate");
	AnimateCommand=cmd(sleep,14.0;x,SCREEN_LEFT-250;y,SCREEN_CENTER_Y-70;linear,57.0;addx,SCREEN_WIDTH+500;sleep,4;queuecommand,"Animate";);
};

t[#t+1] = LoadActor("clouda") .. {
	InitCommand=cmd(horizalign,center;diffusealpha,0.6;);
	OnCommand=cmd(x,SCREEN_CENTER_X+110;y,SCREEN_CENTER_Y-70;linear,15.0;addx,SCREEN_WIDTH/2+70;);
};

t[#t+1] = LoadActor("cloudc") .. {
	InitCommand=cmd(x,SCREEN_LEFT-270;y,SCREEN_CENTER_Y-210;horizalign,center;diffusealpha,0.7;);
	OnCommand=cmd(playcommand,"Animate");
	AnimateCommand=cmd(sleep,25.0;x,SCREEN_LEFT-270;y,SCREEN_CENTER_Y-190;linear,57.0;addx,SCREEN_WIDTH+520;sleep,2;queuecommand,"Animate";);
};


return t;

